# Uses of Class
org.apache.lucene.misc.TermStats

Packages that use TermStats
Package
Description
org.apache.lucene.misc
Miscellaneous Lucene utilities that don't really fit anywhere else.

- ## Uses of TermStats in org.apache.lucene.misc

  Methods in org.apache.lucene.misc that return TermStats
  Modifier and Type
  Method
  Description
  `static TermStats[]`
  HighFreqTerms.`getHighFreqTerms(IndexReader reader, int numTerms, String field, Comparator<TermStats> comparator)`
  Returns TermStats[] ordered by the specified comparator
  Methods in org.apache.lucene.misc with parameters of type TermStats
  Modifier and Type
  Method
  Description
  `int`
  HighFreqTerms.DocFreqComparator.`compare(TermStats a, TermStats b)`
  `int`
  HighFreqTerms.TotalTermFreqComparator.`compare(TermStats a, TermStats b)`
  Method parameters in org.apache.lucene.misc with type arguments of type TermStats
  Modifier and Type
  Method
  Description
  `static TermStats[]`
  HighFreqTerms.`getHighFreqTerms(IndexReader reader, int numTerms, String field, Comparator<TermStats> comparator)`
  Returns TermStats[] ordered by the specified comparator